com.rscja.deviceapi

## Class RFIDWithUHFAxBase

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.deviceapi.RFIDWithUHFUART
    - - com.rscja.deviceapi.RFIDWithUHFAxBase

- All Implemented Interfaces:
    IHandheldRFID, IMultipleAntenna, ISingleAntenna, IUHF, IUHFOfAndroidUart, IURAxOfAndroidUart

      public class RFIDWithUHFAxBase
      extends RFIDWithUHFUART
      implements IMultipleAntenna, IURAxOfAndroidUart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buzzer()` 成功的通知提示(发出提示音) Success Notification Sound (Play Sound)
    `java.util.List<AntennaState>` | `getANT()` 获取当前设置的天线
    `java.util.List<AntennaConnectState>` | `getAntennaConnectState()` 获取天线连接状态
    `java.util.List<AntennaPowerEntity>` | `getAntennaPower()`
    `int` | `getAntennaPower(AntennaEnum ant)` 获取单个天线的功率
    `void` | `led()` 成功的通知提示(指示灯闪烁) Success Notification Sound (flashing light)
    `boolean` | `setANT(java.util.List<AntennaState> antStatus)` 设置天线号
    `boolean` | `setAntennaPower(AntennaEnum ant, int power)` 设置单个天线的功率
    `void` | `successNotify()` 成功的通知提示(指示灯闪烁同时发出提示音) Success Notification Sound (Play notification tune when light flashing)

    - ### Methods inherited from class com.rscja.deviceapi.RFIDWithUHFUART

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getInstance, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setOnLowBatteryListener, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getANT

          public java.util.List<AntennaState> getANT()

      获取当前设置的天线
      Specified by:
        `getANT` in interface `IMultipleAntenna`

    - #### setANT

          public boolean setANT(java.util.List<AntennaState> antStatus)

      设置天线号
      Specified by:
        `setANT` in interface `IMultipleAntenna`
      Parameters:
        `antStatus` - 天线号
      Returns:

    - #### successNotify

          public void successNotify()

      成功的通知提示(指示灯闪烁同时发出提示音)
      Success Notification Sound (Play notification tune when light flashing)
      Specified by:
        `successNotify` in interface `IURAxOfAndroidUart`

    - #### led

          public void led()

      成功的通知提示(指示灯闪烁)
      Success Notification Sound (flashing light)
      Specified by:
        `led` in interface `IURAxOfAndroidUart`

    - #### buzzer

          public void buzzer()

      成功的通知提示(发出提示音)
      Success Notification Sound (Play Sound)
      Specified by:
        `buzzer` in interface `IURAxOfAndroidUart`

    - #### setAntennaPower

          public boolean setAntennaPower(AntennaEnum ant,
                                         int power)

      Description copied from interface: `IMultipleAntenna`
      设置单个天线的功率
      Specified by:
        `setAntennaPower` in interface `IMultipleAntenna`
      Parameters:
        `ant` - 天线号
        `power` - 功率
      Returns:

    - #### getAntennaPower

          public int getAntennaPower(AntennaEnum ant)

      Description copied from interface: `IMultipleAntenna`
      获取单个天线的功率
      Specified by:
        `getAntennaPower` in interface `IMultipleAntenna`
      Returns:

    - #### getAntennaPower

          public java.util.List<AntennaPowerEntity> getAntennaPower()

      Specified by:
        `getAntennaPower` in interface `IMultipleAntenna`

    - #### getAntennaConnectState

          public java.util.List<AntennaConnectState> getAntennaConnectState()

      获取天线连接状态
      Returns:
        List